part of 'functions_bloc_bloc.dart';

abstract class FunctionBlocEvent extends Equatable {
  const FunctionBlocEvent();

  @override
  List<Object?> get props => [];
}

class AddFunction extends FunctionBlocEvent {
  final DeviceFunctionData functionData;

  const AddFunction({
    required this.functionData,
  });

  @override
  List<Object?> get props => [functionData];
}

class UpdateFunction extends FunctionBlocEvent {
  final DeviceFunctionData functionData;

  const UpdateFunction(this.functionData);

  @override
  List<Object?> get props => [functionData];
}

class UpdateFunctionValue extends FunctionBlocEvent {
  final String function;
  final dynamic value;

  const UpdateFunctionValue({
    required this.function,
    required this.value,
  });

  @override
  List<Object?> get props => [function, value];
}

class UpdateFunctionCondition extends FunctionBlocEvent {
  final String function;
  final String condition;

  const UpdateFunctionCondition({
    required this.function,
    required this.condition,
  });

  @override
  List<Object?> get props => [function, condition];
}

class RemoveFunction extends FunctionBlocEvent {
  final String functionCode;

  const RemoveFunction(this.functionCode);

  @override
  List<Object?> get props => [functionCode];
}

class InitializeFunctions extends FunctionBlocEvent {
  final List<DeviceFunctionData> functions;

  const InitializeFunctions(this.functions);

  @override
  List<Object?> get props => [functions];
}
