part of 'routine_bloc.dart';

abstract class RoutineEvent extends Equatable {
  const RoutineEvent();

  @override
  List<Object> get props => [];
}

class AddToIfContainer extends RoutineEvent {
  final Map<String, dynamic> item;

  const AddToIfContainer(this.item);

  @override
  List<Object> get props => [item];
}

class AddToThenContainer extends RoutineEvent {
  final Map<String, dynamic> item;

  const AddToThenContainer(this.item);

  @override
  List<Object> get props => [item];
}

class LoadScenes extends RoutineEvent {
  final String unitId;

  const LoadScenes(this.unitId);

  @override
  List<Object> get props => [unitId];
}

class LoadAutomation extends RoutineEvent {
  final String unitId;

  const LoadAutomation(this.unitId);

  @override
  List<Object> get props => [unitId];
}

class AddFunction extends RoutineEvent {
  final DeviceFunctionData function;
  const AddFunction(this.function);
  @override
  List<Object> get props => [function];
}

class RemoveFunction extends RoutineEvent {
  final DeviceFunctionData function;
  const RemoveFunction(this.function);
  @override
  List<Object> get props => [function];
}

class ClearFunctions extends RoutineEvent {}
